    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * --------------------------
    028 * ConstructorDefinition.java
    029 * --------------------------
    030 * (C)opyright 2003-2005, by Thomas Morgner and Contributors.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * $Id: ConstructorDefinition.java,v 1.3 2005/10/18 13:33:53 mungady Exp $
    036 *
    037 * Changes
    038 * -------
    039 * 24-Sep-2003 : Initial version
    040 *
    041 */
    042
    043package org.jfree.xml.util;
    044
    045/**
    046 * A constructor definition.
    047 */
    048public class ConstructorDefinition {
    049
    050    /** isNull flag. */
    051    private boolean isNull;
    052
    053    /** Property name. */
    054    private String propertyName;
    055
    056    /** The type. */
    057    private Class type;
    058
    059    /**
    060     * Creates a new constructor definition.
    061     *
    062     * @param propertyName  the property name.
    063     * @param type  the type.
    064     */
    065    public ConstructorDefinition(final String propertyName, final Class type) {
    066        this.isNull = (propertyName == null);
    067        this.propertyName = propertyName;
    068        this.type = type;
    069    }
    070
    071    /**
    072     * Returns the type.
    073     *
    074     * @return the type.
    075     */
    076    public Class getType() {
    077        return this.type;
    078    }
    079
    080    /**
    081     * Returns a flag.
    082     *
    083     * @return a boolean.
    084     */
    085    public boolean isNull() {
    086        return this.isNull;
    087    }
    088
    089    /**
    090     * Returns the property name.
    091     *
    092     * @return the property name.
    093     */
    094    public String getPropertyName() {
    095        return this.propertyName;
    096    }
    097
    098}